Create API Key
curl --request POST \
--url https://api.coinvoyage.io/v3/api-keys \
--header 'Authorization: <api-key>' \
--header 'Authorization-Signature: <authorization-signature>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"label": "<string>"
}
'import requests
url = "https://api.coinvoyage.io/v3/api-keys"
payload = { "label": "<string>" }
headers = {
"Authorization-Signature": "<authorization-signature>",
"Idempotency-Key": "<idempotency-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Authorization-Signature': '<authorization-signature>',
'Idempotency-Key': '<idempotency-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({label: '<string>'})
};
fetch('https://api.coinvoyage.io/v3/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"api_key": "<string>",
"api_key_last_four": "<string>",
"api_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_live": true,
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"last_used_at": "2023-11-07T05:31:56Z"
}{
"active": true,
"api_key": "<string>",
"api_key_last_four": "<string>",
"api_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_live": true,
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"last_used_at": "2023-11-07T05:31:56Z"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}api-keys
Create API Key
Create another credential for the authenticated entity. The full key and secret are returned only in this response and exact idempotent replays.
POST
/
api-keys
Create API Key
Authorizations
HMAC-SHA256 signature. See the Authorization-Signature header parameter on signed operations.
Headers
HMAC-SHA256 signature header: 'APIKey=<api_key>,signature=,timestamp=<unix_timestamp>'. The signature is computed over METHOD + path (with the /v3 prefix stripped) + timestamp.
Required client-generated key. Retrying the same request returns the originally created API key and secret. Reusing it with a different payload returns 409. Maximum 255 characters.
Maximum string length:
255Body
application/json
Maximum string length:
100Response
Idempotent replay
Maximum string length:
4Maximum string length:
100Was this page helpful?
⌘I